-- Schema: C6MartPeriodico
-- Stored Procedure: PL_D_S178IndicatoriEsitoAdeguatezza

















--[C6MartPeriodico].[PL_D_S178IndicatoriEsitoAdeguatezza] 'F', 'FF@P08202'
CREATE        procedure [C6MartPeriodico].[PL_D_S178IndicatoriEsitoAdeguatezza] --'S','MLNPFR59L04I138DS'
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;


DECLARE @DataFineTrim VARCHAR(8)  
SET @DataFineTrim = c6martperiodico.getTrimestre2(getDate(),0)

--***************************************************************************  SOLO per test
--drop table @appo,#wseian,@TABELLAINDICATORI
--declare @Rete char(1),@CodiceFiscale varchar(16)
--set @Rete = 'f'
--set	@CodiceFiscale = 'BTTFST43C42B300A'--'LNGLGU49D23F587Z'--'BRSDRN64E24D749H'--'00703420968'--
--set @DataFineTrim = 20180430
--***************************************************************************

select *
into #WSEIAN2 
from C6MartPeriodico.WSEIAN2
where RETE=@Rete
and CODFIS=@CodiceFiscale


DECLARE @adeguato [varchar](5)
DECLARE @descrizione [varchar](1000)


-- **************************  creo la tabella iniziale con tutti gli indicatori
declare @TABELLAINDICATORI table
(
   TI_Ordine  [smallint] null,
   TI_Indicatore [varchar](80) null,
   TI_Adeguato [varchar](5) null,
   TI_Descrizione [varchar](1000) null
)

insert into @TABELLAINDICATORI values (1,'Rischio','-1','Non applicabile')
insert into @TABELLAINDICATORI values (2,'Riserva','-1','Non applicabile')
insert into @TABELLAINDICATORI values (3,'Investimento di lungo periodo','-1','Non applicabile')
insert into @TABELLAINDICATORI values (4,'Complessità','-1','Non applicabile')
insert into @TABELLAINDICATORI values (5,'Concentrazione in prodotti complessi','-1','Non applicabile')
insert into @TABELLAINDICATORI values (6,'Frequenza delle operazioni','-1','Non applicabile')
insert into @TABELLAINDICATORI values (7,'Concentrazione emittenti','-1','Non applicabile')
insert into @TABELLAINDICATORI values (8,'Concentrazione valutaria','-1','Non applicabile')

-- *****************************************************************************

declare @appo table
(
  RETE [varchar](1) null,
   COD_FISCALE [varchar](16) null,
   PATRIMONIO [varchar](255) NOT NULL,
   CTV_AGGREG [decimal](12, 2) null,
   profiloCode [smallint] null,
   var_profilo [decimal](5, 2) null,
   [VAR] [decimal](12, 3) NULL,
   varString [varchar](16) null,--[decimal](12, 3) NULL,
   CREDITRISK  [int] NULL,
   RISKCLASSSTRING [varchar](10) null,
   coperturaString [varchar](16) null,--[decimal](12, 3) NULL,
   COVERAGESTRING [varchar](10) null,
   RISKCLASSMAX [varchar](50) null,
   [PERCENTAGE] [decimal](12, 6) null,
   Ordine  [smallint] null,
   ULLY_PERC [decimal](10, 2) NULL
    

)
--creo le tabelle di appoggio
insert into @appo exec [C6MartPeriodico].[PL_D2_S169RischiomercatoRischiocredito] @Rete,@CodiceFiscale






--***************************************************************************  INDICATORE DI VALUTAZIONE: RISCHIO

select @adeguato = 
case 
	when var <= var_profilo then '1'
	when var > var_profilo then '0'
	else -1
end,
@descrizione = case
	when var <= var_profilo then (select [DescrizioneEsito] from [C6MartPeriodico].[TB_S178IndicatoriEsitoAdeguatezza_Note] where ordine = 1 and Adeguato = '1')
	when var > var_profilo then (select [DescrizioneEsito] from [C6MartPeriodico].[TB_S178IndicatoriEsitoAdeguatezza_Note] where ordine = 1 and Adeguato = '0')
	else (select [DescrizioneEsito] from [C6MartPeriodico].[TB_S178IndicatoriEsitoAdeguatezza_Note] where ordine = 1 and Adeguato = '-1')

end 
from @appo where ordine = 1 --patrimonio fideuram


if isnull(ltrim(rtrim(@adeguato)),'') <> ''

		update  a 
		set  TI_Adeguato = @adeguato, TI_Descrizione = @descrizione
		from @TABELLAINDICATORI a 
		where TI_Ordine = 1;


--************************
